Commit ac587466 authored by Steve Robert's avatar Steve Robert
Browse files

Initial commit

parents
.DS_Store
/.build
/Packages
/*.xcodeproj
xcuserdata/
<?xml version="1.0" encoding="UTF-8"?>
<Workspace
version = "1.0">
<FileRef
location = "self:">
</FileRef>
</Workspace>
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
<key>IDEDidComputeMac32BitWarning</key>
<true/>
</dict>
</plist>
{
"object": {
"pins": [
{
"package": "AppConsentKit",
"repositoryURL": "https://gitlab.datalf.chat/customers/appconsenkit-spm.git",
"state": {
"branch": null,
"revision": "59ec8b82cfd98e8801e30da7e04150cbc0a44204",
"version": "1.2.2"
}
}
]
},
"version": 1
}
// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.
import PackageDescription
let package = Package(
name: "AppConsentUIKit",
platforms: [
.iOS(.v11)
],
products: [
.library(
name: "AppConsentUIKit",
targets: ["AppConsentUIKit"]),
],
dependencies: [
.package(name: "AppConsentKit", url: "https://gitlab.datalf.chat/customers/appconsenkit-spm.git", .exact("1.2.2"))
],
targets: [
.binaryTarget(
name: "AppConsentUIKit",
path: "./Sources/AppConsentUIKit.xcframework"
)
]
)
# appconsentuikit-spm
A description of this package.
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
<key>AvailableLibraries</key>
<array>
<dict>
<key>LibraryIdentifier</key>
<string>ios-arm64</string>
<key>LibraryPath</key>
<string>AppConsentUIKit.framework</string>
<key>SupportedArchitectures</key>
<array>
<string>arm64</string>
</array>
<key>SupportedPlatform</key>
<string>ios</string>
</dict>
<dict>
<key>LibraryIdentifier</key>
<string>ios-arm64_x86_64-simulator</string>
<key>LibraryPath</key>
<string>AppConsentUIKit.framework</string>
<key>SupportedArchitectures</key>
<array>
<string>arm64</string>
<string>x86_64</string>
</array>
<key>SupportedPlatform</key>
<string>ios</string>
<key>SupportedPlatformVariant</key>
<string>simulator</string>
</dict>
</array>
<key>CFBundlePackageType</key>
<string>XFWK</string>
<key>XCFrameworkFormatVersion</key>
<string>1.0</string>
</dict>
</plist>
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment